If you are using Internet Explorer, the kiosk window will appear cut-off if the browser is operating in a lower version mode.  IE contains a backwards compatibility setting that allows you to operate the browser in a version lower than 11.



The kiosk requires IE 10 or higher, Google Chrome, or Firefox.   To fix this issue, please take the following steps:


  1. At the kiosk, if Full Screen mode is enabled, press F11 to exit full screen mode.
  2. Press F12 to open Developer Tools
  3. On the top menu bar, locate the version selection and click the the drop-down menu.  See the highlighted example below:

  4. Change the value to 11
  5. The kiosk should automatically refresh itself and the window will be centered on screen.
  6. Press F12 to close Developer Tools


Also verify that https://kiosk.lobbycentral.com does not appear in the Compatibility View Settings list or that Compatibility View is turned on.



It is recommended to use Microsoft Edge in place of Internet Explorer as IE has been discontinued by Microsoft and will no longer be supported.